package com.example.nto.util;

import com.example.nto.dto.EmployeeDTO;
import com.example.nto.entity.Employee;
import lombok.experimental.UtilityClass;

@UtilityClass
public class EmployeeMapper {

    public EmployeeDTO convertToDTO(Employee employee){
        EmployeeDTO dto = new EmployeeDTO();
        dto.setId(employee.getId());
        dto.setUsername(employee.getUsername());
        dto.setName(employee.getName());
        dto.setPhoto(employee.getPhoto());
        dto.setJobPos(employee.getJobPos());
        dto.setLastVisit(employee.getLastVisit());

        return dto;
    }
}
